"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DecoratorRegistry_1 = require("../reflection/DecoratorRegistry");
/**
 * Decorator that can be placed on a class to mark it is an API controller.
 *
 * @param path A root URL path that all endpoints in this controller share; optional.
 *             This URL can contain path parameters, prefixed with a colon (':') character.
 */
function apiController(path) {
    return (constructor) => {
        let registryController = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(constructor);
        registryController.path = path;
    };
}
exports.apiController = apiController;
//# sourceMappingURL=apiController.js.map