"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DecoratorRegistry_1 = require("../../reflection/DecoratorRegistry");
/**
 * Decorator for a controller class to describe it in any generated
 * OpenAPI specification.
 *
 * @param name Name of the API used to categorise endpoints in this controller.
 */
function api(name, description) {
    return (classDefinition) => {
        let apiController = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition);
        apiController.apiName = name;
        apiController.apiDescription = description;
    };
}
exports.api = api;
//# sourceMappingURL=api.js.map