"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DecoratorRegistry_1 = require("../../reflection/DecoratorRegistry");
/**
 * Decorator that can be placed on an endpoint to describe the request
 * in any generated OpenAPI specification.
 *
 * @param apiBodyInfo Request body info.
 */
function apiRequest(apiBodyInfo) {
    return (classDefinition, methodName) => {
        let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
        let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
        let operationInfo = endpoint.getOrCreateApiOperationInfo();
        let requestInfo = operationInfo.getOrCreateRequest();
        requestInfo.mergeInfo(apiBodyInfo);
    };
}
exports.apiRequest = apiRequest;
//# sourceMappingURL=apiRequest.js.map