import { MiddlewareRegistry } from "../MiddlewareRegistry";
import { AppConfig } from "../../model/AppConfig";
export declare type OpenApiFormat = "json" | "yml";
export declare class OpenApiGenerator {
    private static readonly ENDPOINTS;
    private static readonly AUTH_FILTERS;
    private static readonly OPEN_API_TYPES;
    private static readonly OPEN_API_SCHEMA_TYPE_MAP;
    private static readonly OPEN_API_TYPE_EXAMPLES;
    static buildOpenApiSpec(appConfig: AppConfig, middlewareRegistry: MiddlewareRegistry): import("openapi3-ts").OpenAPIObject;
    static exportOpenApiSpec(format: OpenApiFormat, appConfig: AppConfig, middlewareRegistry: MiddlewareRegistry): Promise<string>;
    private static generateApiOpenApiSpecBuilder;
    private static discoverSecuritySchemes;
    private static discoverTagsAndPaths;
    private static addTagIfPresent;
    private static addEndpoint;
    private static setRequestInfo;
    private static setEndpointRequestContentType;
    private static addEndpointOperationInfo;
    private static setEndpointResponseContentType;
    private static addPrimitiveToMediaTypeObject;
    private static getPrimitiveTypeExample;
    private static addClassToMediaTypeObject;
    private static addObjectPropertiesToSchema;
    private static addArrayToSchema;
    private static getTypeOfInstanceProperty;
    private static getInstanceType;
    private static addParametersToEndpoint;
}
