import { AuthFilterInfo } from "../../model/open-api/AuthFilterInfo";
import { ControllerInfo } from "../../model/reflection/ControllerInfo";
import { EndpointInfo } from "../../model/reflection/EndpointInfo";
import { IDictionary } from "../../util/IDictionary";
export declare class DecoratorRegistry {
    static readonly Endpoints: IDictionary<EndpointInfo>;
    static readonly Controllers: IDictionary<ControllerInfo>;
    static readonly AuthFilters: IDictionary<AuthFilterInfo>;
    static getOrCreateController(constructor: Function): ControllerInfo;
    static getOrCreateEndpoint(controller: ControllerInfo, methodName: string): EndpointInfo;
    static getOrCreateAuthFilter(constructor: Function): AuthFilterInfo;
}
